@wyze/istanbul-lib-instrument
Core istanbul API for JS code coverage
Last updated 3 years ago by wyze .
BSD-3-Clause · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install @wyze/istanbul-lib-instrument 
SYNC missed versions from official npm registry.

istanbul-lib-instrument

Build Status

Istanbul instrumenter library.

Version 1.1.x now implements instrumentation using Babel. The implementation is inspired by prior art by @dtinth as demonstrated in the __coverage__ babel plugin.

It provides 2 "modes" of instrumentation.

  • The old API that is mostly unchanged (except for incompatibilities noted) and performs the instrumentation using babel as a library.

  • A programVisitor function for the Babel AST that can be used by a Babel plugin to emit instrumentation for ES6 code directly without any source map processing. This is the preferred path for babel users. The Babel plugin is called babel-plugin-istanbul.

Incompatibilities and changes to instrumentation behavior can be found in v0-changes.md.

Current Tags

  • 1.3.2                                ...           latest (3 years ago)

1 Versions

  • 1.3.2                                ...           3 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 3
Dependencies (7)
Dev Dependencies (15)

Copyright 2014 - 2016 © taobao.org |